import create from "../utils/create";
export default create({
  render: function render() {
    var _obj;

    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', _vm._g({
      class: _vm.b((_obj = {
        dashed: _vm.dashed,
        hairline: _vm.hairline
      }, _obj["content-" + _vm.contentPosition] = _vm.$slots.default, _obj)),
      style: {
        borderColor: _vm.borderColor
      },
      attrs: {
        "role": "separator"
      }
    }, _vm.$listeners), [_vm._t("default")], 2);
  },
  name: "divider",
  props: {
    dashed: Boolean,
    hairline: {
      type: Boolean,
      default: true
    },
    borderColor: String,
    contentPosition: {
      type: String,
      default: "center"
    }
  }
});